Bug 213109 - Selecting Fedora Extras causing error regarding unmounting CD
Selecting Fedora Extras causing error regarding unmounting CD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2006-10-30 15:42 EST by Miro Halas
Modified: 2010-06-23 12:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 10:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda updates.img patching yuminstall.py w/ an http proxy (1.41 MB, application/octet-stream)
2006-11-01 13:03 EST, Mark Heslep
no flags Details

  None (edit)
Description Miro Halas 2006-10-30 15:42:00 EST
Description of problem:
I am installing FC6 behind proxy. Anaconda doesn't allow me to configure my 
proxy information. When I select the Fedora Extras repository (also selecting 
all other items on the page and selecting configure next) and clicking on Next 
I receive an error message "An error occured unmounting the CD....". If I do 
not select Fedora Extras I can proceed to the next page.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Computer behind proxy (I assume this is the cause of the issues)
2. Select Fedora Extras repository
3. Click Next
  
Actual results:
I receive an error message as mentioned before

Expected results:
Either I get an option to configure my proxy server or at least I get an error 
that a repository cannot be accessed.

Additional info:
Comment 1 Jeremy Katz 2006-10-30 15:55:18 EST
Can you provide the /tmp/anaconda.log from when this occurs?  Are you using CD
or DVD?
Comment 2 Miro Halas 2006-10-30 21:54:26 EST
I will be more than happy to reproduce it for you. I am using DVD. At this time
I have sucessfully install FC6, but I retry the install and get you the log, if
you tell me hoe to obtain it during the installation. 
Comment 3 Mark Heslep 2006-11-01 13:03:12 EST
Created attachment 140013 [details]
anaconda updates.img patching yuminstall.py w/ an http proxy
Comment 4 Mark Heslep 2006-11-01 13:06:03 EST
Got to have that proxy, anything rather than mirror the extras et al planet. 
Turns out its only a 4 line hack to anaconda for an http proxy via the command
line so I include it here. This simply makes use of urlgrabber's existing proxy
capability. Works by adding 'http_proxy=myproxy.domain:port' to the boot line. 
This patch is against development anaconda 11.1.1.3-1, yuminstall.py.  Works for
me using: kickstart, http install, with  'repo --baseurl ...' keywords.

Included an updates.img - use per http://fedoraproject.org/wiki/Anaconda/Updates

==============================================================================
*** /usr/lib/anaconda/yuminstall.py     2006-10-17 16:19:44.000000000 -0400
--- yuminstall_proxy.py 2006-11-01 12:44:31.000000000 -0500
***************
*** 192,197 ****
--- 192,204 ----
          self.setAttribute('pkgdir', root)
          self.setAttribute('hdrdir', '/tmp/cache/headers')
  
+         #quick hack to use proxy from command line for repos.
+         #still needed: local no proxy domain, https & other proxies, etc.
+         if flags.cmdline.has_key("http_proxy"):
+             #set the hidden attribute, as self.proxy.. is protected
+             self._proxy_dict = flags.cmdline["http_proxy"]
+             log.warning("http proxy set to: %s" %self.proxy_dict['http'])
+ 
      #XXX: FIXME duplicated from YumRepository due to namespacing
      def __headersListFromDict(self):
          """Convert our dict of headers to a list of 2-tuples for urlgrabber."""
Comment 5 Mark Heslep 2006-11-01 14:06:48 EST
Arg, sorry, should be:

*** /usr/lib/anaconda/yuminstall.py     2006-10-17 16:19:44.000000000 -0400
--- yuminstall_proxy.py 2006-11-01 12:44:31.000000000 -0500
***************
*** 192,197 ****
--- 192,204 ----
          self.setAttribute('pkgdir', root)
          self.setAttribute('hdrdir', '/tmp/cache/headers')
  
+         #quick hack to use proxy from command line for repos.
+         #still needed: local no proxy domain, https & other proxies, etc.
+         if flags.cmdline.has_key("http_proxy"):
+             #set the hidden attribute, as self.proxy.. is protected
+             self._proxy_dict = {'http':flags.cmdline["http_proxy"]}
+             log.warning("http proxy set to: %s" %self.proxy_dict['http'])
+ 
      #XXX: FIXME duplicated from YumRepository due to namespacing
      def __headersListFromDict(self):
          """Convert our dict of headers to a list of 2-tuples for urlgrabber.""
Comment 6 Miro Halas 2006-11-01 17:35:15 EST
Hoow do you in your solution specify credentials for such proxy? Our (Windows
based) corporate environment of course requires credentials. My solution for
Fedora in general is to install ntlmaps (ntlmaps.sourceforge.net) which is just
another Python script. I then configure the entire Fedora to use local proxy
(localhost:5865) and then configure ntlmaps with corporate proxy and user name.
Ntlmaps has also the capability to ask for a password when it starts. Maybe the
solution it to ask during anaconda startup if the installation is being done
behind proxy and then ask for proxy settings and credentials.
Comment 7 Jeremy Katz 2006-11-06 09:51:57 EST
Paul -- want to look at something like this at least as a temporary thing in
case we don't get to a better solution for FC7? 
Comment 9 Red Hat Bugzilla 2007-08-21 01:28:44 EDT
User pnasrat@redhat.com's account has been closed
Comment 10 Mark Heslep 2007-12-11 17:20:04 EST
Suggest marking this as a duplicate of 141988 "anaconda should query for proxy"
https://bugzilla.redhat.com/show_bug.cgi?id=141988
Comment 11 Bug Zapper 2008-04-04 00:16:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Joel Andres Granados 2008-04-24 10:29:25 EDT
currently there exists a proxy configuration textfield in the installer.

Note You need to log in before you can comment on or make changes to this bug.